summaryrefslogtreecommitdiff
path: root/tests/pkcs1-padding
diff options
context:
space:
mode:
authorSimon Josefsson <simon@josefsson.org>2012-01-25 10:25:36 +0100
committerSimon Josefsson <simon@josefsson.org>2012-01-25 10:25:36 +0100
commit4f424b845c8aa141ae15e76019657129dbdf3c95 (patch)
tree99bb7aad4f06594f420bee961550bfb9a3368963 /tests/pkcs1-padding
parente9b8dedb9b04635c739f2eb9d7201ea3d114fd74 (diff)
downloadgnutls-4f424b845c8aa141ae15e76019657129dbdf3c95.tar.gz
Fix datefudge checks, for when datefudge is missing.
Diffstat (limited to 'tests/pkcs1-padding')
-rwxr-xr-xtests/pkcs1-padding/pkcs1-pad4
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/pkcs1-padding/pkcs1-pad b/tests/pkcs1-padding/pkcs1-pad
index 1b2ac81aa0..3101c7e049 100755
--- a/tests/pkcs1-padding/pkcs1-pad
+++ b/tests/pkcs1-padding/pkcs1-pad
@@ -21,11 +21,13 @@
# along with GnuTLS; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+set -e
+
srcdir=${srcdir:-.}
CERTTOOL=${CERTTOOL:-../../src/certtool$EXEEXT}
# Check for datefudge
-TSTAMP=`datefudge "2006-09-23" date -u +%s`
+TSTAMP=`datefudge "2006-09-23" date -u +%s || true`
if test "$TSTAMP" != "1158962400"; then
echo "You need datefudge to run this test"
exit 77